Changeset 1065


Ignore:
Timestamp:
Jul 28, 2008 8:14:19 AM (11 years ago)
Author:
stefan
Message:

rerun autotools after COIN_HAS_MUMPS changed

Location:
ThirdParty/Mumps/stable/BSP
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/stable/BSP/Makefile.in

    r916 r1065  
    188188MPIF77 = @MPIF77@
    189189MUMPSDIR = @MUMPSDIR@
     190MUMPSINCDIR = @MUMPSINCDIR@
     191MUMPSLIB = @MUMPSLIB@
    190192MUMPS_INCFLAGS = @MUMPS_INCFLAGS@
    191193MY_DEFS = @MY_DEFS@
  • ThirdParty/Mumps/stable/BSP/configure

    r1049 r1065  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS MY_DEFS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS MUMPS_INCFLAGS COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS MY_DEFS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10891089                          optimize for fast installation [default=yes]
    10901090  --disable-libtool-lock  avoid locking (might break parallel builds)
     1091  --enable-mumps-libcheck use disable-mumps-libcheck to skip the
     1092                          link check at configuration time
    10911093
    10921094Optional Packages:
     
    11001102  --with-tags[=TAGS]
    11011103                          include additional configurations [automatic]
    1102   --with-mumps-dir        specify directory where MUMPS is installed
     1104  --with-mumps-incdir specify the header file directory for library mumps
     1105  --with-mumps-lib specify the flags used to link with the library mumps
    11031106
    11041107Some influential environment variables:
     
    32813284
    32823285# Provide some information about the compiler.
    3283 echo "$as_me:3283:" \
     3286echo "$as_me:3286:" \
    32843287     "checking for Fortran 77 compiler version" >&5
    32853288ac_compiler=`set X $ac_compile; echo $2`
     
    38493852ac_save_FFLAGS=$FFLAGS
    38503853FFLAGS="$FFLAGS $ac_verb"
    3851 (eval echo $as_me:3851: \"$ac_link\") >&5
     3854(eval echo $as_me:3854: \"$ac_link\") >&5
    38523855ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38533856echo "$ac_f77_v_output" >&5
     
    39273930ac_save_FFLAGS=$FFLAGS
    39283931FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3929 (eval echo $as_me:3929: \"$ac_link\") >&5
     3932(eval echo $as_me:3932: \"$ac_link\") >&5
    39303933ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39313934echo "$ac_f77_v_output" >&5
     
    63296332*-*-irix6*)
    63306333  # Find out which ABI we are using.
    6331   echo '#line 6331 "configure"' > conftest.$ac_ext
     6334  echo '#line 6334 "configure"' > conftest.$ac_ext
    63326335  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63336336  (eval $ac_compile) 2>&5
     
    88068809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88078810   -e 's:$: $lt_compiler_flag:'`
    8808    (eval echo "\"\$as_me:8808: $lt_compile\"" >&5)
     8811   (eval echo "\"\$as_me:8811: $lt_compile\"" >&5)
    88098812   (eval "$lt_compile" 2>conftest.err)
    88108813   ac_status=$?
    88118814   cat conftest.err >&5
    8812    echo "$as_me:8812: \$? = $ac_status" >&5
     8815   echo "$as_me:8815: \$? = $ac_status" >&5
    88138816   if (exit $ac_status) && test -s "$ac_outfile"; then
    88148817     # The compiler can only warn and ignore the option if not recognized
     
    90749077   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90759078   -e 's:$: $lt_compiler_flag:'`
    9076    (eval echo "\"\$as_me:9076: $lt_compile\"" >&5)
     9079   (eval echo "\"\$as_me:9079: $lt_compile\"" >&5)
    90779080   (eval "$lt_compile" 2>conftest.err)
    90789081   ac_status=$?
    90799082   cat conftest.err >&5
    9080    echo "$as_me:9080: \$? = $ac_status" >&5
     9083   echo "$as_me:9083: \$? = $ac_status" >&5
    90819084   if (exit $ac_status) && test -s "$ac_outfile"; then
    90829085     # The compiler can only warn and ignore the option if not recognized
     
    91789181   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91799182   -e 's:$: $lt_compiler_flag:'`
    9180    (eval echo "\"\$as_me:9180: $lt_compile\"" >&5)
     9183   (eval echo "\"\$as_me:9183: $lt_compile\"" >&5)
    91819184   (eval "$lt_compile" 2>out/conftest.err)
    91829185   ac_status=$?
    91839186   cat out/conftest.err >&5
    9184    echo "$as_me:9184: \$? = $ac_status" >&5
     9187   echo "$as_me:9187: \$? = $ac_status" >&5
    91859188   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    91869189   then
     
    1159511598  lt_status=$lt_dlunknown
    1159611599  cat > conftest.$ac_ext <<EOF
    11597 #line 11597 "configure"
     11600#line 11600 "configure"
    1159811601#include "confdefs.h"
    1159911602
     
    1169511698  lt_status=$lt_dlunknown
    1169611699  cat > conftest.$ac_ext <<EOF
    11697 #line 11697 "configure"
     11700#line 11700 "configure"
    1169811701#include "confdefs.h"
    1169911702
     
    1405514058   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1405614059   -e 's:$: $lt_compiler_flag:'`
    14057    (eval echo "\"\$as_me:14057: $lt_compile\"" >&5)
     14060   (eval echo "\"\$as_me:14060: $lt_compile\"" >&5)
    1405814061   (eval "$lt_compile" 2>conftest.err)
    1405914062   ac_status=$?
    1406014063   cat conftest.err >&5
    14061    echo "$as_me:14061: \$? = $ac_status" >&5
     14064   echo "$as_me:14064: \$? = $ac_status" >&5
    1406214065   if (exit $ac_status) && test -s "$ac_outfile"; then
    1406314066     # The compiler can only warn and ignore the option if not recognized
     
    1415914162   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1416014163   -e 's:$: $lt_compiler_flag:'`
    14161    (eval echo "\"\$as_me:14161: $lt_compile\"" >&5)
     14164   (eval echo "\"\$as_me:14164: $lt_compile\"" >&5)
    1416214165   (eval "$lt_compile" 2>out/conftest.err)
    1416314166   ac_status=$?
    1416414167   cat out/conftest.err >&5
    14165    echo "$as_me:14165: \$? = $ac_status" >&5
     14168   echo "$as_me:14168: \$? = $ac_status" >&5
    1416614169   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1416714170   then
     
    1572915732   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1573015733   -e 's:$: $lt_compiler_flag:'`
    15731    (eval echo "\"\$as_me:15731: $lt_compile\"" >&5)
     15734   (eval echo "\"\$as_me:15734: $lt_compile\"" >&5)
    1573215735   (eval "$lt_compile" 2>conftest.err)
    1573315736   ac_status=$?
    1573415737   cat conftest.err >&5
    15735    echo "$as_me:15735: \$? = $ac_status" >&5
     15738   echo "$as_me:15738: \$? = $ac_status" >&5
    1573615739   if (exit $ac_status) && test -s "$ac_outfile"; then
    1573715740     # The compiler can only warn and ignore the option if not recognized
     
    1583315836   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1583415837   -e 's:$: $lt_compiler_flag:'`
    15835    (eval echo "\"\$as_me:15835: $lt_compile\"" >&5)
     15838   (eval echo "\"\$as_me:15838: $lt_compile\"" >&5)
    1583615839   (eval "$lt_compile" 2>out/conftest.err)
    1583715840   ac_status=$?
    1583815841   cat out/conftest.err >&5
    15839    echo "$as_me:15839: \$? = $ac_status" >&5
     15842   echo "$as_me:15842: \$? = $ac_status" >&5
    1584015843   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1584115844   then
     
    1804018043   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804118044   -e 's:$: $lt_compiler_flag:'`
    18042    (eval echo "\"\$as_me:18042: $lt_compile\"" >&5)
     18045   (eval echo "\"\$as_me:18045: $lt_compile\"" >&5)
    1804318046   (eval "$lt_compile" 2>conftest.err)
    1804418047   ac_status=$?
    1804518048   cat conftest.err >&5
    18046    echo "$as_me:18046: \$? = $ac_status" >&5
     18049   echo "$as_me:18049: \$? = $ac_status" >&5
    1804718050   if (exit $ac_status) && test -s "$ac_outfile"; then
    1804818051     # The compiler can only warn and ignore the option if not recognized
     
    1830818311   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1830918312   -e 's:$: $lt_compiler_flag:'`
    18310    (eval echo "\"\$as_me:18310: $lt_compile\"" >&5)
     18313   (eval echo "\"\$as_me:18313: $lt_compile\"" >&5)
    1831118314   (eval "$lt_compile" 2>conftest.err)
    1831218315   ac_status=$?
    1831318316   cat conftest.err >&5
    18314    echo "$as_me:18314: \$? = $ac_status" >&5
     18317   echo "$as_me:18317: \$? = $ac_status" >&5
    1831518318   if (exit $ac_status) && test -s "$ac_outfile"; then
    1831618319     # The compiler can only warn and ignore the option if not recognized
     
    1841218415   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1841318416   -e 's:$: $lt_compiler_flag:'`
    18414    (eval echo "\"\$as_me:18414: $lt_compile\"" >&5)
     18417   (eval echo "\"\$as_me:18417: $lt_compile\"" >&5)
    1841518418   (eval "$lt_compile" 2>out/conftest.err)
    1841618419   ac_status=$?
    1841718420   cat out/conftest.err >&5
    18418    echo "$as_me:18418: \$? = $ac_status" >&5
     18421   echo "$as_me:18421: \$? = $ac_status" >&5
    1841918422   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1842018423   then
     
    2132821331MAKEOKFILE=.MakeOk
    2132921332
    21330 
    21331 # Check whether --with-mumps-dir or --without-mumps-dir was given.
    21332 if test "${with_mumps_dir+set}" = set; then
    21333   withval="$with_mumps_dir"
    21334   use_mumps="$withval"
    21335 else
    21336   use_mumps=no
    21337 fi;
    21338 
    21339 if test "$use_mumps" != "no"; then
    21340   if test -d $use_mumps; then :; else
    21341     { { echo "$as_me:$LINENO: error: User provided MUMPS directory $use_mumps does not exist." >&5
    21342 echo "$as_me: error: User provided MUMPS directory $use_mumps does not exist." >&2;}
    21343    { (exit 1); exit 1; }; }
    21344   fi
    21345   mumps_dir=`cd $use_mumps; pwd`
    21346 
    21347   # library extension
    21348   ac_ext=c
     21333#check if user provides a MUMPS library (that works)
     21334ac_ext=c
    2134921335ac_cpp='$CPP $CPPFLAGS'
    2135021336ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2135221338ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2135321339
    21354   save_LIBS="$LIBS"
    21355   LIBS="$LIBS $FLIBS"
    21356   echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
     21340
     21341  echo "$as_me:$LINENO: checking if user provides library for mumps" >&5
     21342echo $ECHO_N "checking if user provides library for mumps... $ECHO_C" >&6
     21343
     21344# Check for header file directory
     21345
     21346
     21347# Check whether --with-mumps-incdir or --without-mumps-incdir was given.
     21348if test "${with_mumps_incdir+set}" = set; then
     21349  withval="$with_mumps_incdir"
     21350  MUMPSINCDIR=`cd $withval; pwd`
     21351fi;
     21352
     21353# Check for library directory
     21354
     21355
     21356# Check whether --with-mumps-lib or --without-mumps-lib was given.
     21357if test "${with_mumps_lib+set}" = set; then
     21358  withval="$with_mumps_lib"
     21359  MUMPSLIB=$withval
     21360fi;
     21361
     21362# Switch to disable library check if requested
     21363
     21364  # Check whether --enable-mumps-libcheck or --disable-mumps-libcheck was given.
     21365if test "${enable_mumps_libcheck+set}" = set; then
     21366  enableval="$enable_mumps_libcheck"
     21367  mumps_libcheck=$enableval
     21368else
     21369  mumps_libcheck=yes
     21370fi;
     21371
     21372# At this point, if we're going to use the library, both LBRYINCDIR and
     21373# LBRYLIB must be defined and not empty.
     21374
     21375  if test x"$MUMPSINCDIR" != x || test x"$MUMPSLIB" != x; then
     21376    if test x"$MUMPSINCDIR" = x || test x"$MUMPSLIB" = x; then
     21377      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library mumps. Use --with-mumps-incdir of environment variable $MUMPSINCDIR to specify the include directory. Use --with-mumps-lib or environment variable $MUMPSLIB to specify link flags." >&5
     21378echo "$as_me: error: You need to specify both an include directory and link flags to use library mumps. Use --with-mumps-incdir of environment variable $MUMPSINCDIR to specify the include directory. Use --with-mumps-lib or environment variable $MUMPSLIB to specify link flags." >&2;}
     21379   { (exit 1); exit 1; }; }
     21380    fi
     21381    coin_has_mumps=true
     21382    echo "$as_me:$LINENO: result: yes" >&5
     21383echo "${ECHO_T}yes" >&6
     21384  else
     21385    coin_has_mumps=false
     21386    echo "$as_me:$LINENO: result: no" >&5
     21387echo "${ECHO_T}no" >&6
     21388  fi
     21389
     21390# If we have instructions for use, consider header and link checks.
     21391
     21392  if test $coin_has_mumps = true; then
     21393
     21394# If argument 3 (file) is given, check for the file. Typically this will be a
     21395# header file, but that's not assumed.
     21396
     21397    if test -r $MUMPSINCDIR/dmumps_c.h; then
     21398
     21399  :
     21400else
     21401  { { echo "$as_me:$LINENO: error: Cannot find file dmumps_c.h in $MUMPSINCDIR" >&5
     21402echo "$as_me: error: Cannot find file dmumps_c.h in $MUMPSINCDIR" >&2;}
     21403   { (exit 1); exit 1; }; }
     21404  :
     21405fi
     21406
     21407
     21408# Now see if we can link the function. There are arguments for and against
     21409# assuming argument 3 is a header file declaring the function. A correct
     21410# function declaration is the main argument in favour. Having to cope with
     21411# possible dependencies or other oddities are the main arguments against.
     21412# Force the use of C as the best single choice amongst C++, C, and Fortran.
     21413# Obviously, this has limits.
     21414
     21415    if test x"$mumps_libcheck" != xno; then
     21416           coin_save_LIBS="$LIBS"
     21417           LIBS="$MUMPSLIB $ADDLIBS"
     21418           coin_MUMPS_link=no
     21419           ac_ext=c
     21420ac_cpp='$CPP $CPPFLAGS'
     21421ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21422ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21423ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21424
     21425           for fnm in dmumps_c ; do
     21426             echo "$as_me:$LINENO: checking whether symbol $fnm is available with MUMPS" >&5
     21427echo $ECHO_N "checking whether symbol $fnm is available with MUMPS... $ECHO_C" >&6
     21428             cat >conftest.$ac_ext <<_ACEOF
     21429/* confdefs.h.  */
     21430_ACEOF
     21431cat confdefs.h >>conftest.$ac_ext
     21432cat >>conftest.$ac_ext <<_ACEOF
     21433/* end confdefs.h.  */
     21434
     21435#ifdef F77_DUMMY_MAIN
     21436
     21437#  ifdef __cplusplus
     21438     extern "C"
     21439#  endif
     21440   int F77_DUMMY_MAIN() { return 1; }
     21441
     21442#endif
     21443int
     21444main ()
     21445{
     21446$fnm()
     21447  ;
     21448  return 0;
     21449}
     21450_ACEOF
     21451rm -f conftest.$ac_objext conftest$ac_exeext
     21452if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21453  (eval $ac_link) 2>conftest.er1
     21454  ac_status=$?
     21455  grep -v '^ *+' conftest.er1 >conftest.err
     21456  rm -f conftest.er1
     21457  cat conftest.err >&5
     21458  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21459  (exit $ac_status); } &&
     21460         { ac_try='test -z "$ac_c_werror_flag"
     21461                         || test ! -s conftest.err'
     21462  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21463  (eval $ac_try) 2>&5
     21464  ac_status=$?
     21465  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21466  (exit $ac_status); }; } &&
     21467         { ac_try='test -s conftest$ac_exeext'
     21468  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21469  (eval $ac_try) 2>&5
     21470  ac_status=$?
     21471  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21472  (exit $ac_status); }; }; then
     21473  echo "$as_me:$LINENO: result: yes" >&5
     21474echo "${ECHO_T}yes" >&6
     21475                  coin_MUMPS_link=yes
     21476                  break
     21477else
     21478  echo "$as_me: failed program was:" >&5
     21479sed 's/^/| /' conftest.$ac_ext >&5
     21480
     21481echo "$as_me:$LINENO: result: no" >&5
     21482echo "${ECHO_T}no" >&6
     21483fi
     21484rm -f conftest.err conftest.$ac_objext \
     21485      conftest$ac_exeext conftest.$ac_ext
     21486           done
     21487           ac_ext=c
     21488ac_cpp='$CPP $CPPFLAGS'
     21489ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21490ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21491ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21492
     21493           if test x"$coin_MUMPS_link" = xyes ; then
     21494             LIBS="$coin_save_LIBS"
     21495           else
     21496             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) dmumps_c with MUMPS" >&5
     21497echo "$as_me: error: Cannot find symbol(s) dmumps_c with MUMPS" >&2;}
     21498   { (exit 1); exit 1; }; }
     21499           fi
     21500         fi
     21501
     21502
     21503# If we make it this far, we've verified the file and linked the function. Add
     21504# the necessary link flags to ADDLIBS and define the preprocessor symbol
     21505# COIN_HAS_LBRY.
     21506
     21507    ADDLIBS="$MUMPSLIB $ADDLIBS"
     21508
     21509cat >>confdefs.h <<\_ACEOF
     21510#define COIN_HAS_MUMPS 1
     21511_ACEOF
     21512
     21513  fi
     21514
     21515# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     21516# automake conditional. These actions must occur unconditionally.
     21517
     21518
     21519
     21520
     21521
     21522if test $coin_has_mumps = true; then
     21523  COIN_HAS_MUMPS_TRUE=
     21524  COIN_HAS_MUMPS_FALSE='#'
     21525else
     21526  COIN_HAS_MUMPS_TRUE='#'
     21527  COIN_HAS_MUMPS_FALSE=
     21528fi
     21529
     21530
     21531ac_ext=c
     21532ac_cpp='$CPP $CPPFLAGS'
     21533ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21534ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21535ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21536
     21537
     21538if test "$coin_has_mumps" = "true"; then  # user provided mumps library
     21539  use_mumps=yes
     21540  coin_has_mumps=yes
     21541
     21542  MUMPS_INCFLAGS="-I\`\$(CYGPATH_W) $MUMPSINCDIR\`"
     21543  ADDLIBS="$MUMPSLIB $ADDLIBS"
     21544
     21545else # no user provided library, so we try to build our own
     21546  use_mumps=BUILD
     21547
     21548  # Check if the MUMPS' ThirdParty project has been configured
     21549  if test "$PACKAGE_NAME" != ThirdPartyMumps; then
     21550    if test -r $coin_mumpsobjdir/.MakeOk; then
     21551      use_mumps=BUILD
     21552      # Mumps needs pthreads
     21553      ac_ext=c
     21554ac_cpp='$CPP $CPPFLAGS'
     21555ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21556ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21557ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21558
     21559      save_LIBS="$LIBS"
     21560      LIBS="$LIBS $FLIBS"
     21561      echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
    2135721562echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
    2135821563if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
     
    2142921634  LIBS="-lpthread $save_LIBS"; ADDLIBS="-lpthread $ADDLIBS"
    2143021635else
    21431   LIBS="$save_LIBS"
    21432 fi
    21433 
    21434   ac_ext=c
    21435 ac_cpp='$CPP $CPPFLAGS'
    21436 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    21437 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    21438 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    21439 
    21440 
    21441   case "$CC" in
    21442     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    21443          libe=lib ;;
    21444       *) libe=a ;;
    21445   esac
    21446 
    21447   # Check if hearders are there
    21448   if test -r $mumps_dir/include/dmumps_c.h; then
    21449 
    21450   :
    21451 else
    21452   { { echo "$as_me:$LINENO: error: I cannot find headers for MUMPS" >&5
    21453 echo "$as_me: error: I cannot find headers for MUMPS" >&2;}
    21454    { (exit 1); exit 1; }; }
    21455   :
    21456 fi
    21457 
    21458   LIBS="$mumps_dir/lib/libdmumps.$libe $mumps_dir/lib/libpord.$libe $mumps_dir/libseq/libmpiseq.$libe $LIBS"
    21459   ADDLIBS="$mumps_dir/lib/libdmumps.$libe $mumps_dir/lib/libpord.$libe $mumps_dir/libseq/libmpiseq.$libe $ADDLIBS"
    21460   # Check if MUMPS actually works
    21461   ac_ext=c
    21462 ac_cpp='$CPP $CPPFLAGS'
    21463 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    21464 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    21465 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    21466 
    21467   save_LIBS="$LIBS"
    21468   LIBS="$LIBS $FLIBS"
    21469   cat >conftest.$ac_ext <<_ACEOF
    21470 /* confdefs.h.  */
    21471 _ACEOF
    21472 cat confdefs.h >>conftest.$ac_ext
    21473 cat >>conftest.$ac_ext <<_ACEOF
    21474 /* end confdefs.h.  */
    21475 void dmumps_c();
    21476 #ifdef F77_DUMMY_MAIN
    21477 
    21478 #  ifdef __cplusplus
    21479      extern "C"
    21480 #  endif
    21481    int F77_DUMMY_MAIN() { return 1; }
    21482 
    21483 #endif
    21484 int
    21485 main ()
    21486 {
    21487 dmumps_c()
    21488   ;
    21489   return 0;
    21490 }
    21491 _ACEOF
    21492 rm -f conftest.$ac_objext conftest$ac_exeext
    21493 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    21494   (eval $ac_link) 2>conftest.er1
    21495   ac_status=$?
    21496   grep -v '^ *+' conftest.er1 >conftest.err
    21497   rm -f conftest.er1
    21498   cat conftest.err >&5
    21499   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    21500   (exit $ac_status); } &&
    21501          { ac_try='test -z "$ac_c_werror_flag"
    21502                          || test ! -s conftest.err'
    21503   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    21504   (eval $ac_try) 2>&5
    21505   ac_status=$?
    21506   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    21507   (exit $ac_status); }; } &&
    21508          { ac_try='test -s conftest$ac_exeext'
    21509   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    21510   (eval $ac_try) 2>&5
    21511   ac_status=$?
    21512   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    21513   (exit $ac_status); }; }; then
    21514   :
    21515 else
    21516   echo "$as_me: failed program was:" >&5
    21517 sed 's/^/| /' conftest.$ac_ext >&5
    21518 
    21519 { { echo "$as_me:$LINENO: error: User provided MUMPS library doesn't work" >&5
    21520 echo "$as_me: error: User provided MUMPS library doesn't work" >&2;}
    21521    { (exit 1); exit 1; }; }
    21522 fi
    21523 rm -f conftest.err conftest.$ac_objext \
    21524       conftest$ac_exeext conftest.$ac_ext
    21525   LIBS="$save_LIBS"
    21526   ac_ext=c
    21527 ac_cpp='$CPP $CPPFLAGS'
    21528 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    21529 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    21530 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    21531 
    21532   coin_mumpssrcdir="$mumps_dir"
    21533 
    21534 else
    21535   use_mumps=BUILD
    21536 
    21537   # Check if the MUMPS' ThirdParty project has been configured
    21538   if test "$PACKAGE_NAME" != ThirdPartyMumps; then
    21539     if test -r $coin_mumpsobjdir/.MakeOk; then
    21540       use_mumps=BUILD
    21541       # Mumps needs pthreads
     21636  LIBS="save_LIBS"
     21637fi
     21638
    2154221639      ac_ext=c
    2154321640ac_cpp='$CPP $CPPFLAGS'
     
    2154621643ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2154721644
    21548       save_LIBS="$LIBS"
    21549       LIBS="$LIBS $FLIBS"
    21550       echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
    21551 echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
    21552 if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
    21553   echo $ECHO_N "(cached) $ECHO_C" >&6
    21554 else
    21555   ac_check_lib_save_LIBS=$LIBS
    21556 LIBS="-lpthread  $LIBS"
    21557 cat >conftest.$ac_ext <<_ACEOF
    21558 /* confdefs.h.  */
    21559 _ACEOF
    21560 cat confdefs.h >>conftest.$ac_ext
    21561 cat >>conftest.$ac_ext <<_ACEOF
    21562 /* end confdefs.h.  */
    21563 
    21564 /* Override any gcc2 internal prototype to avoid an error.  */
    21565 #ifdef __cplusplus
    21566 extern "C"
    21567 #endif
    21568 /* We use char because int might match the return type of a gcc2
    21569    builtin and then its argument prototype would still apply.  */
    21570 char pthread_create ();
    21571 #ifdef F77_DUMMY_MAIN
    21572 
    21573 #  ifdef __cplusplus
    21574      extern "C"
    21575 #  endif
    21576    int F77_DUMMY_MAIN() { return 1; }
    21577 
    21578 #endif
    21579 int
    21580 main ()
    21581 {
    21582 pthread_create ();
    21583   ;
    21584   return 0;
    21585 }
    21586 _ACEOF
    21587 rm -f conftest.$ac_objext conftest$ac_exeext
    21588 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    21589   (eval $ac_link) 2>conftest.er1
    21590   ac_status=$?
    21591   grep -v '^ *+' conftest.er1 >conftest.err
    21592   rm -f conftest.er1
    21593   cat conftest.err >&5
    21594   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    21595   (exit $ac_status); } &&
    21596          { ac_try='test -z "$ac_c_werror_flag"
    21597                          || test ! -s conftest.err'
    21598   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    21599   (eval $ac_try) 2>&5
    21600   ac_status=$?
    21601   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    21602   (exit $ac_status); }; } &&
    21603          { ac_try='test -s conftest$ac_exeext'
    21604   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    21605   (eval $ac_try) 2>&5
    21606   ac_status=$?
    21607   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    21608   (exit $ac_status); }; }; then
    21609   ac_cv_lib_pthread_pthread_create=yes
    21610 else
    21611   echo "$as_me: failed program was:" >&5
    21612 sed 's/^/| /' conftest.$ac_ext >&5
    21613 
    21614 ac_cv_lib_pthread_pthread_create=no
    21615 fi
    21616 rm -f conftest.err conftest.$ac_objext \
    21617       conftest$ac_exeext conftest.$ac_ext
    21618 LIBS=$ac_check_lib_save_LIBS
    21619 fi
    21620 echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
    21621 echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6
    21622 if test $ac_cv_lib_pthread_pthread_create = yes; then
    21623   LIBS="-lpthread $save_LIBS"; ADDLIBS="-lpthread $ADDLIBS"
    21624 else
    21625   LIBS="save_LIBS"
    21626 fi
    21627 
    21628       ac_ext=c
    21629 ac_cpp='$CPP $CPPFLAGS'
    21630 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    21631 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    21632 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    21633 
     21645
     21646      MUMPS_INCFLAGS="-I\`\$(CYGPATH_W) $coin_mumpssrcdir/libseq\` -I\`\$(CYGPATH_W) $coin_mumpssrcdir/include\`"
    2163421647    else
    2163521648      use_mumps=
    2163621649    fi
    2163721650  fi
    21638 fi
    21639 
    21640 if test x"$use_mumps" != x; then
    21641 
    21642   # and we need the Fortran runtime libraries if we want to link with C/C++
    21643   coin_need_flibs=yes
    21644 
    21645   MUMPS_INCFLAGS="-I\`\$(CYGPATH_W) $coin_mumpssrcdir/libseq\` -I\`\$(CYGPATH_W) $coin_mumpssrcdir/include\`"
    21646 
    21647 fi
    21648 
     21651
     21652  # if a user provided library is used, then COIN_HAS_USER_LIBRARY takes care of the COIN_HAS_MUMPS conditional and preprocessor symbol
    2164921653
    2165021654
     
    2165721661fi
    2165821662
     21663  if test x"$use_mumps" != x; then
     21664
     21665cat >>confdefs.h <<\_ACEOF
     21666#define COIN_HAS_MUMPS 1
     21667_ACEOF
     21668
     21669    coin_has_mumps=yes
     21670  else
     21671    coin_has_mumps=no
     21672  fi
     21673  echo "$as_me:$LINENO: checking whether MUMPS is available" >&5
     21674echo $ECHO_N "checking whether MUMPS is available... $ECHO_C" >&6
     21675  echo "$as_me:$LINENO: result: $coin_has_mumps" >&5
     21676echo "${ECHO_T}$coin_has_mumps" >&6
     21677fi
     21678
     21679if test x"$use_mumps" != x; then
     21680  # we need the Fortran runtime libraries if we want to link with C/C++
     21681  coin_need_flibs=yes
     21682
     21683
     21684fi
     21685
    2165921686
    2166021687
     
    2166821695
    2166921696
    21670 echo "$as_me:$LINENO: checking whether MUMPS is available" >&5
    21671 echo $ECHO_N "checking whether MUMPS is available... $ECHO_C" >&6
    21672 
    21673 if test x"$use_mumps" = x || test "$use_mumps" = no; then
    21674   coin_has_mumps=no
    21675 else
    21676   coin_has_mumps=yes
    21677 
    21678 cat >>confdefs.h <<\_ACEOF
    21679 #define COIN_HAS_MUMPS 1
    21680 _ACEOF
    21681 
    21682 fi
    21683 echo "$as_me:$LINENO: result: $coin_has_mumps" >&5
    21684 echo "${ECHO_T}$coin_has_mumps" >&6
    2168521697
    2168621698
     
    2198822000Usually this means the macro was only invoked conditionally." >&5
    2198922001echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     22002Usually this means the macro was only invoked conditionally." >&2;}
     22003   { (exit 1); exit 1; }; }
     22004fi
     22005if test -z "${COIN_HAS_MUMPS_TRUE}" && test -z "${COIN_HAS_MUMPS_FALSE}"; then
     22006  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_MUMPS\" was never defined.
     22007Usually this means the macro was only invoked conditionally." >&5
     22008echo "$as_me: error: conditional \"COIN_HAS_MUMPS\" was never defined.
    2199022009Usually this means the macro was only invoked conditionally." >&2;}
    2199122010   { (exit 1); exit 1; }; }
     
    2263722656s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2263822657s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    22639 s,@MUMPS_INCFLAGS@,$MUMPS_INCFLAGS,;t t
     22658s,@MUMPSINCDIR@,$MUMPSINCDIR,;t t
     22659s,@MUMPSLIB@,$MUMPSLIB,;t t
    2264022660s,@COIN_HAS_MUMPS_TRUE@,$COIN_HAS_MUMPS_TRUE,;t t
    2264122661s,@COIN_HAS_MUMPS_FALSE@,$COIN_HAS_MUMPS_FALSE,;t t
     22662s,@MUMPS_INCFLAGS@,$MUMPS_INCFLAGS,;t t
    2264222663s,@COIN_BUILD_MUMPS_TRUE@,$COIN_BUILD_MUMPS_TRUE,;t t
    2264322664s,@COIN_BUILD_MUMPS_FALSE@,$COIN_BUILD_MUMPS_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.